Package com.sun.jna.platform.win32

# Class Wincon.INPUT_RECORD.Event

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.Wincon.INPUT_RECORD.Event

Enclosing class:
  Wincon.INPUT_RECORD

public static class Wincon.INPUT_RECORD.Event extends Union

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`Wincon.KEY_EVENT_RECORD`
`KeyEvent`
`Wincon.MOUSE_EVENT_RECORD`
`MouseEvent`
`Wincon.WINDOW_BUFFER_SIZE_RECORD`
`WindowBufferSizeEvent`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`Event()`

## Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### KeyEvent

public Wincon.KEY_EVENT_RECORD KeyEvent

### MouseEvent

public Wincon.MOUSE_EVENT_RECORD MouseEvent

### WindowBufferSizeEvent

public Wincon.WINDOW_BUFFER_SIZE_RECORD WindowBufferSizeEvent

## Constructor Details

### Event

public Event()